﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

html, body {
    font-family: 'Mulish', sans-serif !important;
}

@media only screen and (max-width: 760px) {

    .lead {
        font-size: 1rem;
    }
}

/* Navbar styles
-------------------------------------------------- */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

.nav-item a{
  color: white;
}

.nav-item > a:hover {
    color: aqua;
}

.navbar i {
    color: white;
    margin: 0rem 0.25rem;
}

.navbar img {
   width: 4.5rem;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.navbar li {
  margin: 0rem 1rem;
}

.nav-button, .nav-button button {
    font-size: small;
    transition: all 750ms ease;
}

.nav-button button {
    border: none;
}

.nav-button {
    border: solid 0.1rem white;
    border-radius: 0.5rem;
}

.nav-button:hover {
    background-color: white;
}

.nav-button a, .nav-button button {
    display: flex;
    align-items: center;
    text-align: center;
    padding: 0rem 0.5rem;
    justify-content: center;
    color: white;
}

.hv-text-purple:hover a, .hv-text-purple:hover i, .hv-text-purple:hover button {
    color: #5220F5;
    text-decoration: none;
}

.hv-text-darkblue:hover a, .hv-text-darkblue:hover i, .hv-text-darkblue:hover button {
    color: #064793;
    text-decoration: none;
}

.navbar-collapse{
  flex-grow: 0;
}

.nav-dropdown {
    visibility: hidden;
    opacity: 0;
    position: absolute;
    display: none;
    padding-top: 0.7rem;
    list-style-type: none;
    padding-inline-start: 0rem;
}

ul li:hover > ul {
    visibility: visible;
    opacity: 1;
    display: block;
}

ul li ul:hover {
    visibility: visible;
    opacity: 1;
    display: block;
}

ul li ul li {
    clear: both;
    width: 100%;
}

.nav-dropdown li {
    padding: 0.7rem;
    background-color: #413078;
    margin: 0rem;
}

.nav-dropdown li:hover {
    background-color: #4583B3;
}

.nav-dropdown a {
    color: white;
    text-decoration:none;
}

.nav-item-system {
    cursor: pointer;
}

@media only screen and (max-width: 760px) {

.nav-dropdown {
    position: relative;
}

.nav-dropdown li {
    padding: 0rem;
    background-color: #5220F5;
}

}

/* Banner styles
-------------------------------------------------- */

.tinted-image {
    background: linear-gradient( rgba(20, 0, 180, 0.75), rgba(20, 0, 180, 0.75) ), url('../images/banner-home.jpg');
}

.banner {
    font-weight: 900;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 20rem;
}

.banner-title-outline {
    font-size: 4vw;
    line-height: 4vw;
    -webkit-text-stroke: 0.1rem white;
    color: transparent;
}

.banner-title {
    font-size: 6vw;
    line-height: 6vw;
}

.banner-title-small {
    font-size: 2vw;
}

.banner-title-welcome {
    font-weight: 100;
    letter-spacing: 0.5rem;
    font-size: 2vw;
}

@media only screen and (max-width: 760px) {

    .banner {
        min-height: 15rem;
        text-align: center;
    }

    .banner-title {
        font-size: 8vw;
        line-height: 8vw;
    }

    .banner-title-outline {
        color: white;
        -webkit-text-stroke: 0rem;
        font-size: 6vw;
        line-height: 6vw;
    }

    .banner-title-small, .banner-title-welcome {
        font-size: 4vw;
    }

}

/* Footer styles
-------------------------------------------------- */

html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 60px;
}

.footer {
    width: 100%;
    white-space: nowrap;
    padding: 0.5rem;
    text-align: center;
    margin-bottom: 6rem;
}

.footer-gov {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

.footer i {
    color: white;
    margin: 0rem 0.25rem;
}

/* Color styles
-------------------------------------------------- */

.text-blue {
    color: #413078;
}

.text-lightblue {
    color: #1F76EA;
}

.text-purple {
    color: #5220F5;
}

.text-lightpurple {
    color: #B2A3D5;
}

.text-petrolblue {
    color: #124460;
}

.text-aqua {
    color: #69D4ED;
}

.bg-blue {
    background-color: #413078;
}

.bg-purple {
    background-color: #5220F5;
}

.bg-grey {
    background-color: lightgrey;
}

.bg-lightgrey {
    background-color: #F3F3F3;
}

.bg-lightblue {
    background-color: #1F76EA;
}

.bg-petrolblue {
    background-color: #124460;
}

.bg-darkblue {
    background-color: #064793;
}

.bg-petrollightblue {
    background-color: #4583B3;
}

.bg-aqua {
    background-color: #69D4ED;
}

.bg-login {
    background: linear-gradient( rgba(43, 76, 190, 0.75), rgba(117, 121, 255, 0.75) ), url('../images/bg-login.png');
    background-size: cover;
}

.bg-opacity-70 {
    opacity: 0.7;
}

.border-lightblue {
    border: 0.1rem solid #1F76EA;
}

/* Modais
-------------------------------------------------- */

.modal-backdrop ~ .modal-backdrop {
    z-index: 1050;
}

.front {
    z-index: 1060;
}

.modal-dialog {
    max-width: 55rem;
}

.modal-border {
    border: solid 0.1rem #1F76EA;
    border-radius: 1rem;
}

.card {
    cursor: pointer;
}

#accordion {
    max-height: 31rem;
}

.accordion-card i {
    line-height: unset;
}